@import "assets/scss/global";

.container {
    width: 100%;
    // height: 100%;
    overflow-y: auto;
    padding: 23px 36px;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 15px;
    position: relative;

    .box-skeleton {
        width: 100%;
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
        background-size: 400% 100%;
        animation-name: loading-animation;
        animation-duration: 1.4s;
        animation-timing-function: ease;
        animation-iteration-count: infinite;
        border-radius: 8px;

        @keyframes loading-animation {
            0% {
                background-position: 100% 50%;
            }

            100% {
                background-position: 0 50%;
            }
        }
    }

    .box-input-skeleton {
        padding-top: 50px;
    }

    .unit-test-skeleton {
        height: 90px;
    }

    .class-btn-skeleton {
        height: 65px;
        width: 50%;
    }

    .left-section {
        height: 100%;
        width: 50%;
        background: #FFFFFF;
        border-radius: 12px;

        display: flex;
        flex-direction: column;
        gap: 30px;
        position: relative;
        align-items: stretch;

        .head-content {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            padding: 24px 24px 0;

            .avatar-content {
                background: linear-gradient(to right, #F79945, #F84C26);
                border-radius: 200px;
                height: 104px;
                width: 104px;
                display: flex;
                align-items: center;
                justify-content: center;

                .avatar {
                    position: relative;
                    background: white;
                    border-radius: 50%;
                    padding: 4px;
                    width: 96px;
                    height: 96px;
                    display: block;
                    text-align: center;

                    img {
                        height: 100%;
                        width: 100%;
                        object-fit: cover;
                        object-position: center;
                        border-radius: 50%;
                    }
                }
            }
        }

        .body-content {
            position: relative;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            width: 100%;
            gap: 15px;
            padding: 0 24px 24px;
            overflow-y: auto;

            .input-field {
                // label {
                //     color: #7660FE;
                // }

                input {
                    height: 50px;
                    background: #F1F3FC;
                    color: $dark-color !important;
                }
                &.disabled {
                    label {
                        color: #8E91A0;
                    }
                }
            }

            .time-field {
                [class*='a-date-input__cover'] {
                    background: #F1F3FC;
                    opacity: 1;

                    label {
                        background: transparent;

                        &::before {
                            background: transparent;
                        }
                    }
                }
                &.disabled {
                    [class*='a-date-input'] {
                        label {
                            color: #8E91A0;
                        }
                    }
                }
            }
        }
    }

    .right-section {
        width: 50%;
        height: 100%;
        background: #FFFFFF;
        border-radius: 12px;
        display: flex;
        flex-direction: column;
        gap: 12px;

        .header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 10px 10px 0 10px;

            .title {
                font-weight: 600;
                font-size: 16px;
                line-height: 24px;
                color: #000000;
            }

            .btn-filter {
                width: 26px;
                height: 26px;
                background: #E0DBFF;
                border-radius: 8px;
                display: flex;
                align-items: center;
                justify-content: center;
                cursor: pointer;

                svg {
                    [stroke-linejoin="round"] {
                        stroke: $secondary-color;
                    }
                }
            }
        }

        .box-carousel-temp {
            padding: 0 10px !important;
        }

        .box-carousel {
            display: flex;
            flex-direction: row;
            align-items: center;
            width: 100%;
            height: 65px;
            padding: 0 45px;

            .btn-temp {
                width: 50%;
            }

            .box-temp {
                display: flex;
                flex-direction: row;
                align-items: center;
                width: calc(100% - 50px);
                height: 100%;
                padding: 0 15px;
                gap: 18px
            }

            .left-arrow {
                display: flex;
                justify-content: center;
                align-items: center;
                width: 25px;
                height: 25px;

                background: #F4F5FA;
                border-radius: 60px;

                svg {
                    transform: rotate(-180deg);
                }
            }

            .right-arrow {
                display: flex;
                justify-content: center;
                align-items: center;
                width: 25px;
                height: 25px;

                background: #F4F5FA;
                border-radius: 60px;
            }

            .carousel {
                height: 100%;
                width: 100% !important;

                [class~="slider-list"] {
                    width: 100% !important;
                }

                [class~="slide-visible"] {
                    padding: 0 3px 0 3px;
                }

                .carousel-item {
                    height: 65px;
                    width: 100%;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    background: #FFFFFF;
                    border-radius: 12px;
                    border: 2px solid #E2E5F2;

                    span {
                        font-weight: 700;
                        font-size: 20px;
                        line-height: 48px;
                        color: #AEB2CA;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        display: -webkit-box;
                        -webkit-line-clamp: 1;
                        -webkit-box-orient: vertical;
                        word-break: break-word;
                    }

                    &.active {
                        background: #FFA95C;
                        border-color: #FFA95C;
                        box-shadow: 0px 20px 60px rgba(239, 78, 43, 0.1);

                        span {
                            color: #FFFFFF;
                        }
                    }
                }

                [class~="slider-control-centerleft"],
                [class~="slider-control-centerright"] {
                    button {
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        width: 25px;
                        height: 25px;

                        background: #D4CDFF;
                        border-radius: 60px;

                        svg {
                            path {
                                fill: #7C68EE;
                            }
                        }
                    }

                    button[disabled] {
                        background: #F4F5FA;

                        svg {
                            path {
                                fill: #8E91A0;
                            }
                        }
                    }
                }

                [class~="slider-control-centerleft"] {
                    left: -35px !important;

                    svg {
                        transform: rotate(-180deg);

                    }
                }

                [class~="slider-control-centerright"] {
                    right: -35px !important;
                }
            }
        }

        .class-section {
            display: flex;
            flex-direction: row;
            align-items: center;
            width: 100%;
            height: 65px;
            padding: 0 10px;
            gap: 18px;

            .class-btn {
                display: flex;
                align-items: center;
                justify-content: center;
                height: 65px;
                width: 50%;
                border: 2px solid #E2E5F2;
                background: #FFFFFF;
                border-radius: 12px;
                // background: #FFA95C;
                // box-shadow: 0px 20px 60px rgba(239, 78, 43, 0.1);

                span {
                    color: #AEB2CA;
                    font-weight: 700;
                    font-size: 20px;
                    line-height: 48px;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    display: -webkit-box;
                    -webkit-line-clamp: 1;
                    -webkit-box-orient: vertical;
                }

                &.active {
                    background: #FFA95C;
                    border-color: #FFA95C;
                    box-shadow: 0px 20px 60px rgba(239, 78, 43, 0.1);

                    span {
                        color: #FFFFFF;
                    }
                }
            }
        }

        .unit-test-ladder {
            position: relative;
            height: auto;
            width: 100%;
            overflow-y: auto;
            display: flex;
            flex-direction: column;
            padding: 0 10px 10px;
            gap: 15px;

            .unit-test-item {
                width: 100%;
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                padding: 0px;
                border-radius: 12px;

                .header {
                    border-radius: 12px 12px 0 0;
                    width: 100%;
                    display: flex;
                    align-items: center;
                    justify-content: flex-start;
                    padding: 8px;

                    span {
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 20px;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        display: -webkit-box;
                        -webkit-line-clamp: 1;
                        -webkit-box-orient: vertical;
                        word-break: break-word;
                    }

                    &.ended {
                        background: #FFDFD8;
                        color: #EF4E2B;
                    }

                    &.upcoming {
                        background: #FFEFD9;
                        color: #F79945;
                    }

                    &.ongoing {
                        background: #D3F0DD;
                        color: #21C274;
                    }
                }

                .body {
                    border-radius: 0 0 12px 12px;
                    width: 100%;
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    padding: 8px;
                    background: #F7F8FC;

                    .left-info {
                        display: flex;
                        flex-direction: column;
                        align-items: flex-start;
                        max-width: 60%;

                        .class-info {
                            display: flex;
                            align-items: center;
                            gap: 4px;
                            max-width: 100%;

                            svg {
                                path {
                                    fill: #C5CDF3;
                                }
                            }

                            .name-of-class {
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                color: #757688;

                                width: 100%;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }
                        }

                        .test-status {
                            font-weight: 500;
                            font-size: 10px;
                            line-height: 14px;

                            &.ended {
                                color: #EF4E2B;
                            }

                            &.upcoming {
                                color: #F79945;
                            }

                            &.ongoing {
                                color: #21C274;
                            }
                        }
                    }

                    .right-info {
                        display: flex;
                        flex-direction: column;
                        align-items: flex-end;

                        .text-noti {
                            font-weight: 500;
                            font-size: 10px;
                            line-height: 15px;
                            color: #8E91A0;
                        }

                        .time-noti {
                            font-weight: 500;
                            font-size: 12px;
                            line-height: 15px;
                            color: #505050;
                        }
                    }
                }
            }

            .loading {
                position: absolute;
                bottom: 0;
                height: 50px;
                width: calc(100% - 20px);
                display: flex;
                align-items: center;
                justify-content: center;
            }
        }

        .empty-body {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            gap: 10px;
            width: 100%;
            height: calc(100% - 36px);

            img {
                width: 95px;
                height: 67px;
                object-fit: contain;
                object-position: center;
            }

            .description {
                font-weight: 500;
                font-size: 13px;
                line-height: 20px;
                color: #545454;
            }
        }

        .empty-exam-result {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            gap: 10px;
            width: 100%;
            height: calc(100% - 125px);

            img {
                width: 90px;
                height: 85px;
                object-fit: contain;
                object-position: center;
            }

            .description {
                font-weight: 500;
                font-size: 13px;
                line-height: 20px;
                color: #545454;
            }
        }
    }
}